updatePurchaseOrder
WRITEUpdate an existing purchase order - handles exchange rate updates when currency changes.
POST /api/v1/purchasing/updatePurchaseOrder
curl -X POST '<your-host>/api/v1/purchasing/updatePurchaseOrder' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"id": "string"
}'Response
{
"id": "string"
}Parameters
ParameterType
"Purchase""Outside Processing"
"Draft""Planned""Needs Approval""To Review""To Receive""To Receive and Invoice""To Invoice""Completed""Rejected""Closed"
Input schema
schema
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"Draft",
"Planned",
"Needs Approval",
"To Review",
"To Receive",
"To Receive and Invoice",
"To Invoice",
"Completed",
"Rejected",
"Closed"
]
},
"currencyCode": {
"type": "string"
},
"orderDate": {
"type": "string"
},
"supplierId": {
"type": "string"
},
"supplierContactId": {
"type": [
"string",
"null"
]
},
"supplierLocationId": {
"type": [
"string",
"null"
]
},
"supplierReference": {
"type": "string"
},
"purchaseOrderType": {
"type": "string",
"enum": [
"Purchase",
"Outside Processing"
]
},
"notes": {
"type": [
"string",
"null"
]
},
"customFields": {}
},
"required": [
"id"
]
}